/*
 * TestDAO.java
 *
 * Created on 12. unor 2007, 18:50
 *
 */

package dao;

import dto.EmployeeDTO;
import entity.Country;
import entity.Employee;
import entity.JobPosition;
import java.util.List;
import javax.ejb.Remote;

/**
 *
 * @author Ing. Ondrej Fafejta (fafejta.ondrej@gmail.com)
 */
@Remote()
public interface TestDAO {
    
    public void createCountry(Country country);
    public Country findCountryById(int id);
    
    
    public void createJobPosition(JobPosition jobPosition);
    public JobPosition findJobPositionById(int id);
    
    public void createEmployee(Employee employee);
    public Employee findEmployeeById(int id);
    
    public List<EmployeeDTO> findAllEmployees();
    public List<EmployeeDTO> findAllEmployeesDoesNotWork();
    
    public JobPosition findJobPositionByEmployeeId(int id);
}
