/*
 * EmployeeDTO.java
 *
 * Created on 12. únor 2007, 19:21
 *
 */

package dto;

import entity.Country;
import entity.JobPosition;
import java.io.Serializable;

/**
 *
 * @author Ing. Ondrej Fafejta (fafejta.ondrej@gmail.com)
 */
public class EmployeeDTO implements Serializable{
    private int id;
    private Country country;
    private JobPosition position;
    private String note;
    
    /** Creates a new instance of EmployeeDTO */
    public EmployeeDTO() {
    }
    
    public EmployeeDTO(int id, Country country, String note) {
        setId(id);
        setCountry(country);
        setNote(note);
    }

    public EmployeeDTO(int id, Country country, String note, JobPosition position) {
        this(id,country, note);
        setPosition(position);
    }
    
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public Country getCountry() {
        return country;
    }

    public void setCountry(Country country) {
        this.country = country;
    }

    public JobPosition getPosition() {
        return position;
    }

    public void setPosition(JobPosition position) {
        this.position = position;
    }
    
    @Override
    public int hashCode() {
        return getId();
    }
    
    @Override()
    public boolean equals(Object object){
        if (object == this) return true;
        if(!(object instanceof EmployeeDTO)) return false;
        EmployeeDTO x = (EmployeeDTO) object;
        if (x.getId() == 0 || getId() == 0) return false;
        return x.getId()==getId();
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }
}
