/*
 * AbstractPerson.java
 *
 * Created on 12. unor 2007, 18:31
 *
 */

package entity;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.DiscriminatorColumn;
import javax.persistence.DiscriminatorType;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 *
 * @author Ing. Ondrej Fafejta (fafejta.ondrej@gmail.com)
 */
@Entity()
@Table(name = "test_abstract_person")
@Inheritance(strategy=InheritanceType.JOINED)
@DiscriminatorColumn(name="dtype", discriminatorType=DiscriminatorType.STRING, length=32)
public abstract class AbstractPerson implements Serializable{
    @Id()
    @Column(name="id")
    private int id;
    
    @ManyToOne()
    @JoinColumn(name="country_id")
    private Country country;
    
    /** Creates a new instance of AbstractPerson */
    public AbstractPerson() {}
    
    public AbstractPerson(int id, Country country) {
        setId(id);
        setCountry(country);
    }
    
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public Country getCountry() {
        return country;
    }

    public void setCountry(Country country) {
        this.country = country;
    }
    
    @Override()
    public int hashCode() {
        return getId();
    }
    
    @Override()
    public boolean equals(Object object){
        if (object == this) return true;
        if(!(object instanceof AbstractPerson)) return false;
        AbstractPerson x = (AbstractPerson) object;
        if (x.getId() == 0 || getId() == 0) return false;
        return x.getId()==getId();
    }

}
