/*
 * Country.java
 *
 * Created on 12. unor 2007, 18:31
 *
 */

package entity;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 *
 * @author Ing. Ondrej Fafejta (fafejta.ondrej@gmail.com)
 */
@Entity()
@Table(name="test_country")
public class Country implements Serializable{
    @Id()
    @Column(name="id")
    private int id;
    
    @Column(name="iso_code", unique=true)
    private String isoCode;
    
    /** Creates a new instance of Country */
    public Country() {
    }

    public Country(int id, String isoCode) {
        setId(id);
        setIsoCode(isoCode);
    }
    
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getIsoCode() {
        return isoCode;
    }

    public void setIsoCode(String isoCode) {
        this.isoCode = isoCode;
    }
    
    @Override
    public int hashCode() {
        return getId();
    }
    
    @Override()
    public boolean equals(Object object){
        if (object == this) return true;
        if(!(object instanceof Country)) return false;
        Country x = (Country) object;
        if (x.getId() == 0 || getId() == 0) return false;
        return x.getId()==getId();
    }
}
