/*
 * Employee.java
 *
 * Created on 12. unor 2007, 18:42
 *
 */

package entity;

import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 *
 * @author Ing. Ondrej Fafejta (fafejta.ondrej@gmail.com)
 */
@Entity()
@Table(name = "test_employee_adr")
@DiscriminatorValue(value="Employee")
public class Employee extends AbstractPerson{
    @ManyToOne()
    @JoinColumn(name="job_position_id", nullable=false)
    private JobPosition position;
    
    private String note;
    
    /** Creates a new instance of Employee */
    public Employee() {
        super();
    }
    
    public Employee(int id, Country country, JobPosition position, String note) {
        super(id,country);
        setPosition(position);
        setNote(note);
    }

    public JobPosition getPosition() {
        return position;
    }

    public void setPosition(JobPosition position) {
        this.position = position;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }
}
