/*
 * JobPosition.java
 *
 * Created on 12. unor 2007, 18:46
 *
 */

package entity;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 *
 * @author Ing. Ondrej Fafejta (fafejta.ondrej@gmail.com)
 */
@Entity()
@Table(name = "test_job_position")
public class JobPosition implements Serializable{
    @Id()
    @Column(name="id")
    private int id;
    
    @Column(name="job_position", nullable=false)
    private String position;
    
    /** Creates a new instance of JobPosition */
    public JobPosition() {
    }

    public JobPosition(int id, String position) {
        setId(id);
        setPosition(position);
    }
    
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }
    
    @Override
    public int hashCode() {
        return getId();
    }
    
    @Override()
    public boolean equals(Object object){
        if (object == this) return true;
        if(!(object instanceof JobPosition)) return false;
        JobPosition x = (JobPosition) object;
        if (x.getId() == 0 || getId() == 0) return false;
        return x.getId()==getId();
    }
}
