/*
 * TestDAOTest.java
 * JUnit based test
 *
 * Created on 12. unor 2007, 18:54
 */

package dao;

import junit.framework.*;
import entity.Country;
import entity.Employee;
import entity.JobPosition;
import javax.naming.InitialContext;
import dto.EmployeeDTO;
import java.util.List;
import javax.ejb.Remote;

/**
 *
 * @author fafi
 */
public class TestDAOTest extends TestCase {
    private TestDAO instance;
    
    public TestDAOTest(String testName) throws Exception{
        super(testName);
        InitialContext ctx=new InitialContext();
        instance=(TestDAO) ctx.lookup(TestDAO.class.getName());
    }

    protected void setUp() throws Exception {
    }

    protected void tearDown() throws Exception {
    }

    /**
     * Test of createCountry method, of class dao.TestDAO.
     */
    public void testCreateCountry() {
        System.out.println("createCountry");
        
        Country country = new Country(1,"CZ");
        instance.createCountry(country);
        
        country = new Country(2,"DE");
        instance.createCountry(country);
    }

    /**
     * Test of createJobPosition method, of class dao.TestDAO.
     */
    public void testCreateJobPosition() {
        System.out.println("createJobPosition");
        
        JobPosition jobPosition = new JobPosition(1,"Programmer");
        instance.createJobPosition(jobPosition);
        
        jobPosition = new JobPosition(2,"Other");
        instance.createJobPosition(jobPosition);
    }

    /**
     * Test of createEmployee method, of class dao.TestDAO.
     */
    public void testCreateEmployee() {
        System.out.println("createEmployee");
        
        Employee employee = new Employee(1,instance.findCountryById(1), instance.findJobPositionById(1),"note 1");
        instance.createEmployee(employee);
        
        employee = new Employee(2,instance.findCountryById(1), instance.findJobPositionById(2),"note 2");
        instance.createEmployee(employee);
    }

    /**
     * Test of findCountryById method, of class dao.TestDAO.
     */
    public void testFindCountryById() {
        System.out.println("findCountryById");
        
        int id = 1;
        Country result = instance.findCountryById(id);
        assertEquals(id, result.getId());
    }

    /**
     * Test of findJobPositionById method, of class dao.TestDAO.
     */
    public void testFindJobPositionById() {
        System.out.println("findJobPositionById");
        
        int id = 1;
        JobPosition result = instance.findJobPositionById(id);
        assertEquals(id, result.getId());
    }

    /**
     * Test of findEmployeeById method, of class dao.TestDAO.
     */
    public void testFindEmployeeById() {
        System.out.println("findEmployeeById");
        
        int id = 1;
        Employee result = instance.findEmployeeById(id);
        assertEquals(id, result.getId());
    }

    /**
     * Test of findAllEmployees method, of class dao.TestDAO.
     */
    public void testFindAllEmployees() {
        System.out.println("findAllEmployees");
        
        List<EmployeeDTO> result = instance.findAllEmployees();
        assertTrue(result.size()>0);
    }

    /**
     * Test of findAllEmployeesDoesNotWork method, of class dao.TestDAO.
     */
    public void testFindAllEmployeesDoesNotWork() {
        System.out.println("findAllEmployeesDoesNotWord");
        
        List<EmployeeDTO> result = instance.findAllEmployeesDoesNotWork();
        assertTrue(result.size()>0);
    }

    /**
     * Test of findJobPositionByEmployeeId method, of class dao.TestDAO.
     */
    public void testFindJobPositionByEmployeeId() {
        System.out.println("findJobPositionByEmployeeId");
        
        int id = 1;
        JobPosition result = instance.findJobPositionByEmployeeId(id);
        assertEquals(id, result.getId());
    }
    
}
